<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: /home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/text/cli.py Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('text_2cli_8py_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">cli.py</div>  </div>
</div><!--header-->
<div class="contents">
<a href="text_2cli_8py.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1text_1_1cli.html">    1</a></span>&#160;<span class="comment"># !/usr/bin/python3</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"># coding: utf-8</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"># Copyright 2017 Stefano Fogarollo</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">#</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"># Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"># you may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"># You may obtain a copy of the License at</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">#</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"># http://www.apache.org/licenses/LICENSE-2.0</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">#</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"># Unless required by applicable law or agreed to in writing, software</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"># distributed under the License is distributed on an &quot;AS IS&quot; BASIS,</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"># WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"># See the License for the specific language governing permissions and</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"># limitations under the License.</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">import</span> argparse</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">import</span> os</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">import</span> re</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">from</span> collections <span class="keyword">import</span> Counter</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1text_1_1cli.html#a0c5d9fc1baded062989ee03a682b246d">   24</a></span>&#160;WORDS_BLACKLIST_FIlE = os.path.join(os.path.dirname(os.path.realpath(__file__)),</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;                                    <span class="stringliteral">&quot;words_blacklist.txt&quot;</span>)  <span class="comment"># file with blacklisted words</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1text_1_1cli.html#af3534bcd3c0c03414454f2d74f4fb91f">   28</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#af3534bcd3c0c03414454f2d74f4fb91f">create_args</a>():</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="stringliteral">    :return: ArgumentParser</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="stringliteral">        Parser that handles cmd arguments.</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="stringliteral">    &quot;&quot;&quot;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    parser = argparse.ArgumentParser(usage=<span class="stringliteral">&quot;-i &lt;path to input file&gt;&quot;</span>)</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    parser.add_argument(<span class="stringliteral">&quot;-i&quot;</span>, dest=<span class="stringliteral">&quot;path_in&quot;</span>, help=<span class="stringliteral">&quot;path to input file&quot;</span>, required=<span class="keyword">True</span>)</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keywordflow">return</span> parser</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1text_1_1cli.html#a84fdc44624dbbeba8df0e39cecdb0cea">   40</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#a84fdc44624dbbeba8df0e39cecdb0cea">parse_args</a>(parser):</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="stringliteral">    :param parser: ArgumentParser</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="stringliteral">        Object that holds cmd arguments.</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="stringliteral">    :return: tuple</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="stringliteral">        Values of arguments.</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="stringliteral">    &quot;&quot;&quot;</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    args = parser.parse_args()</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keywordflow">return</span> str(args.path_in)</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1text_1_1cli.html#aa3485b2f8d2119eb72c59aef8d0a0864">   53</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#aa3485b2f8d2119eb72c59aef8d0a0864">check_args</a>(path_in):</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="stringliteral">    :param path_in: str</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="stringliteral">        Path to input file</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="stringliteral">    :return: bool</span></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="stringliteral">        True iff args are correct</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="stringliteral">    &quot;&quot;&quot;</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keyword">assert</span> (os.path.exists(path_in))</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">True</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00066"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1text_1_1cli.html#a6c02ddc4e9df3619bb465489928c8ada">   66</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#a6c02ddc4e9df3619bb465489928c8ada">get_words</a>(string, min_length=0, blacklist=[]):</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="stringliteral">    :param string: str</span></div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="stringliteral">        String</span></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="stringliteral">    :param min_length: int</span></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="stringliteral">        Minimum length of words to consider</span></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="stringliteral">    :param blacklist: [] of str</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="stringliteral">        List of blacklisted words (not to be considered)</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="stringliteral">    :return: [] of str</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="stringliteral">        List of words in string</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="stringliteral">    &quot;&quot;&quot;</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    words = re.findall(<span class="stringliteral">r&#39;\w+&#39;</span>, string)  <span class="comment"># filter REGEX</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    words = [str(w).strip() <span class="keywordflow">for</span> w <span class="keywordflow">in</span> words <span class="keywordflow">if</span> len(str(w)) &gt;= min_length]  <span class="comment"># filter by length</span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    words = [w <span class="keywordflow">for</span> w <span class="keywordflow">in</span> words <span class="keywordflow">if</span> (w <span class="keywordflow">not</span> <span class="keywordflow">in</span> blacklist)]  <span class="comment"># remove blacklisted words</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keywordflow">return</span> words</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1text_1_1cli.html#afe221348bdf05b1fa87890755f95017b">   84</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#afe221348bdf05b1fa87890755f95017b">get_words_in_file</a>(path_in):</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="stringliteral">    :param path_in: str</span></div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="stringliteral">        Path to input file</span></div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="stringliteral">    :return: [] of str</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="stringliteral">        List of words in file</span></div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="stringliteral">    &quot;&quot;&quot;</span></div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    with open(path_in, <span class="stringliteral">&quot;r&quot;) as i:</span></div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="stringliteral">        </span><span class="keywordflow">return</span> <a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#a6c02ddc4e9df3619bb465489928c8ada">get_words</a>(i.read())</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1text_1_1cli.html#a24afe22f8aef59c504d5dbfbad61ace1">   96</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#a24afe22f8aef59c504d5dbfbad61ace1">get_words_count</a>(words):</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="stringliteral">    :param words: [] of str</span></div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;<span class="stringliteral">        List of words to analyze</span></div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="stringliteral">    :return: [] of str</span></div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="stringliteral">        Dictionary &lt;word, quantity&gt; sorted by quantity</span></div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="stringliteral">    &quot;&quot;&quot;</span></div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    lower_words = [str(w).lower() <span class="keywordflow">for</span> w <span class="keywordflow">in</span> words]  <span class="comment"># lower all the words</span></div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    <span class="keywordflow">return</span> Counter(lower_words)  <span class="comment"># counts the number each time a word appears</span></div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1text_1_1cli.html#afabc2bcd2cf6873c7ca491f93af53c73">  108</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#afabc2bcd2cf6873c7ca491f93af53c73">get_top_words</a>(words, n=10):</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="stringliteral">    :param words: [] of str</span></div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;<span class="stringliteral">        List of words to analyze</span></div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="stringliteral">    :param n: int</span></div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="stringliteral">        Top words to get</span></div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="stringliteral">    :return: [] of str</span></div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="stringliteral">        Top words in list</span></div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="stringliteral">    &quot;&quot;&quot;</span></div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    word_counts = <a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#a24afe22f8aef59c504d5dbfbad61ace1">get_words_count</a>(words)</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <span class="keywordflow">return</span> word_counts.most_common(n)</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1text_1_1cli.html#acca7efbea223e97a06e0d8f12b68ed5f">  122</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#acca7efbea223e97a06e0d8f12b68ed5f">get_top_words_in_file</a>(path_in, blacklist_file, n=30):</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    <span class="stringliteral">&quot;&quot;&quot;</span></div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="stringliteral">    :param path_in: str</span></div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="stringliteral">        Path to input file</span></div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;<span class="stringliteral">    :param blacklist_file:str</span></div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="stringliteral">        Path to blacklist file</span></div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="stringliteral">    :param n: int</span></div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;<span class="stringliteral">        Top words to get</span></div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="stringliteral">    :return: [] of str</span></div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="stringliteral">        Top words in file</span></div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="stringliteral">    &quot;&quot;&quot;</span></div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    blacklisted_words = <a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#a6c02ddc4e9df3619bb465489928c8ada">get_words</a>(open(blacklist_file, <span class="stringliteral">&quot;r&quot;).read(), min_length=0)  # get list of blacklisted</span></div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;<span class="stringliteral">    words = <a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#a6c02ddc4e9df3619bb465489928c8ada">get_words</a>(open(path_in, &quot;r&quot;).read(), min_length=4, blacklist=blacklisted_words)  # get valuable words</span></div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;<span class="stringliteral">    </span><span class="keywordflow">return</span> <a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#afabc2bcd2cf6873c7ca491f93af53c73">get_top_words</a>(words, n=n)  <span class="comment"># get top words</span></div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00139"></a><span class="lineno"><a class="line" href="namespacepyspottedunipd_1_1text_1_1cli.html#a8141223c058b14849dfe02f13d104c3a">  139</a></span>&#160;<span class="keyword">def </span><a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#a8141223c058b14849dfe02f13d104c3a">main</a>():</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    path_in = <a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#a84fdc44624dbbeba8df0e39cecdb0cea">parse_args</a>(<a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#af3534bcd3c0c03414454f2d74f4fb91f">create_args</a>())</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;    <span class="keywordflow">if</span> <a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#aa3485b2f8d2119eb72c59aef8d0a0864">check_args</a>(path_in):</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;        top_words = <a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#acca7efbea223e97a06e0d8f12b68ed5f">get_top_words_in_file</a>(path_in, WORDS_BLACKLIST_FIlE)</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;        <span class="keywordflow">for</span> word, counter <span class="keywordflow">in</span> top_words:</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;            print(str(word), str(counter))</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    <span class="keywordflow">else</span>:</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;        print(<span class="stringliteral">&quot;Error while parsing args.&quot;</span>)</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<span class="keywordflow">if</span> __name__ == <span class="stringliteral">&#39;__main__&#39;</span>:</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    <a class="code" href="namespacepyspottedunipd_1_1text_1_1cli.html#a8141223c058b14849dfe02f13d104c3a">main</a>()</div><div class="ttc" id="namespacepyspottedunipd_1_1text_1_1cli_html_acca7efbea223e97a06e0d8f12b68ed5f"><div class="ttname"><a href="namespacepyspottedunipd_1_1text_1_1cli.html#acca7efbea223e97a06e0d8f12b68ed5f">pyspottedunipd.text.cli.get_top_words_in_file</a></div><div class="ttdeci">def get_top_words_in_file(path_in, blacklist_file, n=30)</div><div class="ttdef"><b>Definition:</b> <a href="text_2cli_8py_source.html#l00122">cli.py:122</a></div></div>
<div class="ttc" id="namespacepyspottedunipd_1_1text_1_1cli_html_afabc2bcd2cf6873c7ca491f93af53c73"><div class="ttname"><a href="namespacepyspottedunipd_1_1text_1_1cli.html#afabc2bcd2cf6873c7ca491f93af53c73">pyspottedunipd.text.cli.get_top_words</a></div><div class="ttdeci">def get_top_words(words, n=10)</div><div class="ttdef"><b>Definition:</b> <a href="text_2cli_8py_source.html#l00108">cli.py:108</a></div></div>
<div class="ttc" id="namespacepyspottedunipd_1_1text_1_1cli_html_a24afe22f8aef59c504d5dbfbad61ace1"><div class="ttname"><a href="namespacepyspottedunipd_1_1text_1_1cli.html#a24afe22f8aef59c504d5dbfbad61ace1">pyspottedunipd.text.cli.get_words_count</a></div><div class="ttdeci">def get_words_count(words)</div><div class="ttdef"><b>Definition:</b> <a href="text_2cli_8py_source.html#l00096">cli.py:96</a></div></div>
<div class="ttc" id="namespacepyspottedunipd_1_1text_1_1cli_html_af3534bcd3c0c03414454f2d74f4fb91f"><div class="ttname"><a href="namespacepyspottedunipd_1_1text_1_1cli.html#af3534bcd3c0c03414454f2d74f4fb91f">pyspottedunipd.text.cli.create_args</a></div><div class="ttdeci">def create_args()</div><div class="ttdef"><b>Definition:</b> <a href="text_2cli_8py_source.html#l00028">cli.py:28</a></div></div>
<div class="ttc" id="namespacepyspottedunipd_1_1text_1_1cli_html_a84fdc44624dbbeba8df0e39cecdb0cea"><div class="ttname"><a href="namespacepyspottedunipd_1_1text_1_1cli.html#a84fdc44624dbbeba8df0e39cecdb0cea">pyspottedunipd.text.cli.parse_args</a></div><div class="ttdeci">def parse_args(parser)</div><div class="ttdef"><b>Definition:</b> <a href="text_2cli_8py_source.html#l00040">cli.py:40</a></div></div>
<div class="ttc" id="namespacepyspottedunipd_1_1text_1_1cli_html_aa3485b2f8d2119eb72c59aef8d0a0864"><div class="ttname"><a href="namespacepyspottedunipd_1_1text_1_1cli.html#aa3485b2f8d2119eb72c59aef8d0a0864">pyspottedunipd.text.cli.check_args</a></div><div class="ttdeci">def check_args(path_in)</div><div class="ttdef"><b>Definition:</b> <a href="text_2cli_8py_source.html#l00053">cli.py:53</a></div></div>
<div class="ttc" id="namespacepyspottedunipd_1_1text_1_1cli_html_afe221348bdf05b1fa87890755f95017b"><div class="ttname"><a href="namespacepyspottedunipd_1_1text_1_1cli.html#afe221348bdf05b1fa87890755f95017b">pyspottedunipd.text.cli.get_words_in_file</a></div><div class="ttdeci">def get_words_in_file(path_in)</div><div class="ttdef"><b>Definition:</b> <a href="text_2cli_8py_source.html#l00084">cli.py:84</a></div></div>
<div class="ttc" id="namespacepyspottedunipd_1_1text_1_1cli_html_a8141223c058b14849dfe02f13d104c3a"><div class="ttname"><a href="namespacepyspottedunipd_1_1text_1_1cli.html#a8141223c058b14849dfe02f13d104c3a">pyspottedunipd.text.cli.main</a></div><div class="ttdeci">def main()</div><div class="ttdef"><b>Definition:</b> <a href="text_2cli_8py_source.html#l00139">cli.py:139</a></div></div>
<div class="ttc" id="namespacepyspottedunipd_1_1text_1_1cli_html_a6c02ddc4e9df3619bb465489928c8ada"><div class="ttname"><a href="namespacepyspottedunipd_1_1text_1_1cli.html#a6c02ddc4e9df3619bb465489928c8ada">pyspottedunipd.text.cli.get_words</a></div><div class="ttdeci">def get_words(string, min_length=0, blacklist=[])</div><div class="ttdef"><b>Definition:</b> <a href="text_2cli_8py_source.html#l00066">cli.py:66</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_cadfa51a49c9afcc310fa35ae151bb00.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="dir_1d65bae9fed8305753c4daf6325a4548.html">text</a></li><li class="navelem"><a class="el" href="text_2cli_8py.html">cli.py</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
